package intrinsic.mx.rpc.soap;

public class Operation extends intrinsic.mx.rpc.AbstractOperation {

	/** Accessors */
	public intrinsic.mx.rpc.soap.ISOAPDecoder decoder;
	public String endpointURI;
	public boolean makeObjectsBindable;
	public intrinsic.Array resultHeaders;
	public boolean ignoreWhitespace;
	public intrinsic.mx.rpc.soap.ISOAPEncoder encoder;
	public String resultFormat;
	public Object request;
	public intrinsic.Array headers;

	/** Variables */
	public Object arguments;

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Operation() {
}

public Operation(Object arg0) {
}

public Operation(Object arg0, Object arg1) {
}


/** Static Methods */

/** Methods */
public native intrinsic.mx.rpc.AsyncToken send();
public native intrinsic.mx.rpc.AsyncToken cancel();
public native intrinsic.mx.rpc.AsyncToken cancel(String arg0);
public native void addHeader(intrinsic.mx.rpc.soap.SOAPHeader arg0);
public native void removeHeader(intrinsic.QName arg0);
public native void removeHeader(intrinsic.QName arg0, String arg1);
public native void addSimpleHeader(String arg0, String arg1, String arg2, String arg3);
public native intrinsic.mx.rpc.soap.SOAPHeader getHeader(intrinsic.QName arg0);
public native intrinsic.mx.rpc.soap.SOAPHeader getHeader(intrinsic.QName arg0, String arg1);
public native void clearHeaders();

}
